proc format;

value yearx
;

value perwt
;

value blswt
;

value age
 00="Under 1 year"
 01="1"
 02="2"
 03="3"
 04="4"
 05="5"
 06="6"
 07="7"
 08="8"
 09="9"
 10="10"
 11="11"
 12="12"
 13="13"
 14="14"
 15="15"
 16="16"
 17="17"
 18="18"
 19="19"
 20="20"
 21="21"
 22="22"
 23="23"
 24="24"
 25="25"
 26="26"
 27="27"
 28="28"
 29="29"
 30="30"
 31="31"
 32="32"
 33="33"
 34="34"
 35="35"
 36="36"
 37="37"
 38="38"
 39="39"
 40="40"
 41="41"
 42="42"
 43="43"
 44="44"
 45="45"
 46="46"
 47="47"
 48="48"
 49="49"
 50="50"
 51="51"
 52="52"
 53="53"
 54="54"
 55="55"
 56="56"
 57="57"
 58="58"
 59="59"
 60="60"
 61="61"
 62="62"
 63="63"
 64="64"
 65="65"
 66="66"
 67="67"
 68="68"
 69="69"
 70="70"
 71="71"
 72="72"
 73="73"
 74="74"
 75="75"
 76="76"
 77="77"
 78="78"
 79="79"
 80="80"
 81="81"
 82="82"
 83="83"
 84="84"
 85="85"
 86="86"
 87="87"
 88="88"
 89="89"
 90="90 (90+, 1988-2002)"
 91="91"
 92="92"
 93="93"
 94="94"
 95="95"
 96="96"
 97="97"
 98="98"
 99="99+"
;

value sex
 1="Male"
 2="Female"
;

value marst
 1="Married, spouse present"
 2="Married, spouse absent"
 3="Separated"
 4="Divorced"
 5="Widowed"
 6="Never married/single"
;

value popstat
 1="Adult civilian"
 2="Armed Forces"
 3="Child"
;

value educrec
 00="N/A"
 01="None or preschool"
 02="Grades 1, 2, 3, or 4"
 03="Grades 5, 6, 7, or 8"
 04="Grade 9"
 05="Grade 10"
 06="Grade 11"
 07="Grade 12"
 08="1 to 3 years of college"
 09="4+ years of college"
 99="Missing/Unknown"
;

value empstat
 00="N/A"
 10="At work"
 12="Has job, not at work last week"
 13="Armed Forces"
 20="Unemployed"
 21="Unemployed, experienced worker"
 22="Unemployed, new worker"
 30="Not in labor force"
 31="NILF, housework"
 32="NILF, unable to work"
 33="NILF, school"
 34="NILF, other"
 35="NILF, unpaid, lt 15 hours"
 99="Missing data"
;

value labforce
 0="N/A"
 1="No, not in the labor force"
 2="Yes, in the labor force"
;

value occ
;

value ind
;

value classwkr
 00="N/A"
 10="Self-employed"
 13="Self-employed, not incorporated"
 14="Self-employed, incorporated"
 20="Works for wages or salary"
 22="Wage/salary, private"
 24="Wage/salary, government"
 25="Federal government employee"
 26="Armed forces"
 27="State government employee"
 28="Local government employee"
 29="Unpaid family worker"
 99="Missing/Unknown"
;

value occly
;

value indly
;

value classwly
 00="N/A"
 10="Self-employed"
 13="Self-employed, not incorporated"
 14="Self-employed, incorporated"
 20="Works for wages or salary"
 22="Wage/salary, private"
 24="Wage/salary, government"
 25="Federal government employee"
 27="State government employee"
 28="Local government employee"
 29="Unpaid family worker"
 99="Missing/Unknown"
;

value hrswork
 00="N/A"
;

value uhrswork
 00="N/A"
;

value fullpart
 0="N/A"
 1="Full-time"
 2="Part-time"
 9="Unknown"
;

value firmsize
 0="N/A"
 1="Under 10"
 2="10 to 24"
 3="Under 25"
 4="25 to 99"
 5="100 to 499"
 6="500 to 999"
 7="1000+"
;

value paidhour
 0="N/A"
 1="No"
 2="Yes"
;

value hourwage
;

value inctot
 999998="Missing"
 999999="N/A"
;

value incwage
 999998="Missing"
 999999="N/A"
;

run;

*IPUMS USER: you will need to make several changes to
*the lines below for this command file to work
*
*(1) there are two references to your email address
*below these comments.  You will need to remove any
*periods (...) and the .@. symbol from your email
*address.
*
*For instance, if the second and third lines below
*these comments read:
*data jta@hist.umn.edu4;
*infile 'jta@hist.umn.edu4.dat';
*
*You will need to change them to read
*data jtahistumnedu4;
*infile 'jtahistumnedu4.dat';
*
*(2) You will need to enter the path to the folder
*containing your data file on the first and third
*lines below these comments. 
*
*For instance, if your file is in the 'C:' drive in a
*folder called IPUMS, the first and third lines below
*these comments need to read:
*libname ipumsdat 'C:\IPUMS';
*infile 'C:\IPUMS\jtahistumnedu4.dat';
*
*(3) You will need to change the name of the data
*file from, for instance, jta@hist.umn.edu4.dat to
*jtahistumnedu4.dat
*
*The command file will work after you have made the
*above changes.
;
libname ipumsdat '<insert path to folder containing data file here>';
data erm@mcgrattan.mpls.frb.fed.us2;
infile '<insert path to folder containing data file here>erm@mcgrattan.mpls.frb.fed.us2.dat' LRECL=71;

input
 year 1- 4
 perwt 5- 12
 blswt 13- 20
 age 21- 22
 sex 23- 23
 marst 24- 24
 popstat 25- 25
 educrec 26- 27
 empstat 28- 29
 labforce 30- 30
 occ 31- 33
 ind 34- 37
 classwkr 38- 39
 occly 40- 42
 indly 43- 46
 classwly 47- 48
 hrswork 49- 50
 uhrswork 51- 52
 fullpart 53- 53
 firmsize 54- 54
 paidhour 55- 55
 hourwage 56- 59
 inctot 60- 65
 incwage 66- 71
;

label
 year="Survey year"
 perwt="Person weight"
 blswt="BLS weight"
 age="Age"
 sex="Sex"
 marst="Marital status"
 popstat="Adult civilian, armed forces, or child"
 educrec="Educational attainment recode"
 empstat="Employment status"
 labforce="Labor force status"
 occ="Occupation"
 ind="Industry"
 classwkr="Class of worker"
 occly="Occupation last year"
 indly="Industry last year"
 classwly="Class of worker last year"
 hrswork="Hours worked last week"
 uhrswork="Usual hours worked per week (last yr)"
 fullpart="Full or part time last year"
 firmsize="Number of employees"
 paidhour="Paid hourly"
 hourwage="Hourly wage"
 inctot="Total personal income"
 incwage="Wage and salary income"
;

format
 year yearx.
 perwt perwt.
 blswt blswt.
 age age.
 sex sex.
 marst marst.
 popstat popstat.
 educrec educrec.
 empstat empstat.
 labforce labforce.
 occ occ.
 ind ind.
 classwkr classwkr.
 occly occly.
 indly indly.
 classwly classwly.
 hrswork hrswork.
 uhrswork uhrswork.
 fullpart fullpart.
 firmsize firmsize.
 paidhour paidhour.
 hourwage hourwage.
 inctot inctot.
 incwage incwage.
;

run;
