program extract99
  !
  ! EXTRACT    is a program that users edit to extract information
  !            from the 1999 CPS March Supplement.  Use the file
  !            mar99dd.asc to determine the size and beginning
  !            column for each variable.

  ! Ellen McGrattan, 8-30-05
 
  implicit none
  integer        :: precord,age,maritl,sex,popstat,fnlwgt,marsupwt,hrswork,i
  character*14   :: a14
  character*2    :: a2
  character*5    :: a5
  character*23   :: a23
  character*8    :: a8
  
  open(unit=5, file='mar99supp.cps')
  open(unit=7, file='cpsmar99.out')

  do i=1,255026
    read(5,'(I1,A13,I2,I1,A2,I1,A5,I1,A23,I8,A8,I8,A2,I2)')              &
           precord,a14,age,maritl,a2,sex,a5,popstat,a23,fnlwgt,a8,       &
           marsupwt,a2,hrswork
    if (precord==3) then
      write(7,'(I8,1X,I8,1X,I2,1X,I1,1X,I1,1X,I1,1X,I2)')          &
           marsupwt,fnlwgt,age,sex,maritl,popstat,hrswork
    endif
  enddo

end program extract99
